Bug 10130 - BAD udev rules
: BAD udev rules
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pilot-link)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-13 20:01 by
Modified: 2007-01-06 17:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-13 20:01:21
$ rpm -qf /etc/udev/rules.d/60-libpisock.rules 
pilot-link-0.12.1-alt1
$ head -3 /etc/udev/rules.d/60-libpisock.rules 
# udev rules file for pilot-link's libpisock library, enabled for libusb
#
BUS!="usb", ACTION!="add", GOTO="libpisock_rules_end"

19:18 <vsu> SUBSYSTEM!="usb_device", ACTION!="add", GOTO="libsane_rules_end"
19:18 <vsu> это должно быть два отдельных правила
19:18 <vsu> чтобы было не &&, а ||
...
19:19 <vsu> raorn: только приоритет, видимо, надо 75
19:20 <vsu> raorn: в 70 права переибиваются

Так что надо бы:

1. Поменять приоритет и разбить правило на два.

2. BUS!="usb" - неправильно.  Надо именно SUBSYSTEM!="usb_device".

3. Место этому файлу, судя по каменту в первой строке, не а pilot-link, а в
libpilot-link.
------- Comment #1 From 2006-10-13 20:03:43 -------
Вдогонку - группы "dialout" у нас нет, зато есть uucp.

У меня работает такое правило:

$ cat /etc/udev/rules.d/75-palm.rules
SUBSYSTEM!="usb_device", GOTO="palm_rules_end"
ACTION!="add", GOTO="palm_rules_end"

SYSFS{product}=="[Pp]alm*[Hh]andheld*", MODE="664", GROUP="uucp"

LABEL="palm_rules_end"

Но через vendor/product наверно надёжнее именно с точки зрения libpisock и
поддерживаемых ей устройств.
------- Comment #2 From 2006-10-13 23:30:35 -------
Исправления доступны по адресу
git://git.altlinux.org/people/raorn/packages/pilot-link.git в refs/heads/raorn/udeff
------- Comment #3 From 2006-10-30 19:13:09 -------
Fixed in 0.12.1-alt2, проверь